Show compatibility error if an add-on uses the String quote function

RESOLVED FIXED in 2015-03

Status

addons.mozilla.org Graveyard
Compatibility Tools
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: jorgev, Assigned: mstriemer)

Tracking

unspecified
2015-03

Details

(Whiteboard: [fx37])

(Reporter)

Description

3 years ago
As explained in bug 1103181, the quote function has been removed from String. All instances of this function need to be flagged.

This is a compatibility error, so the add-on shouldn't be upgraded in this case. It should also appear as a warning in regular validations.

Message:

The quote interface has been removed. See <LINK> for more information on the Download Manager.

Link: https://bugzilla.mozilla.org/show_bug.cgi?id=1103181

Affected add-on:

https://addons.mozilla.org/addon/tab-utilities/

Release timing:

Firefox 37 will be released on March 31st.
(Assignee)

Comment 2

3 years ago
https://github.com/mstriemer/amo-validator/commit/f96c0d654ad6c06fbbcce2ab343c3e2dd50fc5d9
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.